


  <?php
	include_once("../header.php");
        include_once("../php/config.php");
		
        $sql = mysql_query("select * from productos inner join imei on productos.codigo=imei.codigo where productos.codigo like '%".$_GET['filtro']."%' or imei.imei like '%".$_GET['filtro']."%'") or die(mysql_error());
          $sql1 = mysql_query("select * from parametros") or die(mysql_error());
 
  $default_menu_pos = @mysql_result($sql1, 0, "default_menu_pos");
	?>
<style>
  .form-control{
    font-size: 16px;
  }


b{
    font-size: 16px;
  }

  th{
    font-size:18px;
    text-align: left;
  }

    td{
    font-size:16px;
  }
</style>
<script>

	if(myLevel!="Master" && myLevel!="Almacen"){
		alert("No tiene acceso a este modulo del sistema")
		window.location.href="../menu/menu.php";
		
	}
	
</script>

<style>
  .form-control{
    font-size: 16px;
  }


label{
    font-size: 16px;
  }

  td{
    font-size:16px;
  }
</style>
    <div class="container">

 <span class="text-primary h2"><i class="bi bi-phone"></i> Registro de IMEI</span><br>
 <?php if($default_menu_pos=="phone"){
	 echo "<span class='pull-right'> <a href='dispositivos.php' class='text-primary'> <i class='bi bi-phone'></i> IMEI Vendidos</a></span>";
	 
 }?>
 <hr>
        
		<div class="row">
			<div class="col-md-12">
	
     <div class="row">
     <div class="col-md-3 mb-2  mt-2">
   <input type="search" id="txt_buscar" class="form-control" value="<?php echo $_GET['filtro']?>">
 </div>

 <div class="col-md-1 mb-2  mt-2 mb-2">
        <a class="btn btn-default " href="#" onClick="filtrar()"><i class="fa fa-search"></i><span style="font-weight:bolder;"> Filtrar</span></a>
</div>
    <div class="col-md-8   mt-2 mb-2">     

        <a class="btn btn-default" href="productos.php" ><i class="fa fa-cubes"></i> Productos y servicios</a>
                        <a class="btn btn-success " href="javascript:void(0)" onClick="modalProducto();"><i class="fa fa-plus"></i> Registrar nuevo IMEI</a>
  </div>
</div>

        <script type="text/javascript">
          function modalProducto(){
			    $("#frm").trigger('reset'); 
            $("#modalProducto").modal('show');
            setTimeout(function(){
            // $("#frm").trigger('reset'); 
			 ///$("#stock").val("1");
			 $("#stock").show();
             $("#codigo2").prop("readonly", false); 
              getDefaultCalc()
            },500)
            
        }

           function filtrar(){
    var t = $("#txt_buscar").val();
    window.location.href="imei.php?filtro="+t;
   }

        </script>
      
		
		
		<div class="panel panel-default1">
			<div class="panel-heading1">
				
			</div>
			<div class="panel-body1">
				<div class="table-responsive border p-3">
					<table class="table   table-sm table-striped table-hover " data-page-length='100' style="width: 100%">
					
							
							<th>IMEI</th>
              <th>Codigo del producto</th>
             
              <th>Descripcion del producto</th>
			  <th>Costo</th>
			  <th>Precio 1</th>
			  <th>Precio 2</th>
			  
             
              <th>Editar</th>
						
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){
				$c++;
				?>
							<tr>
								<td><?php echo $r["imei"]?></td>
                <td><span class="text-primary"><?php echo $r["codigo"]?></span></td>
								<td><a class="" href="#modalProducto" data-toggle="modal" onClick='ver(<?php echo $r["id"]?>)'><b><?php echo $r["descripcion"]?></b></a></td>
                <td><?php echo $r["costo"]?></td>
                <td><?php echo $r["precio"]?></td>
				<td><?php echo $r["precio2"]?></td>
             
               <td><a class="btn btn-info" href="#modalProducto" data-toggle="modal" onClick='ver(<?php echo $r["id"]?>)'><i class="fa fa-eye"></i></a></td>
							</tr>
                                                        <?php }?>
						</tbody>
					</table>
			<br>
			<?php echo "Total registros: ".$c;?>
				</div>
			</div>
			
		</div>
				
			</div>
		</div>
		
        </div>
      </div>
      


          
</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalProducto" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          
          <div class="modal-body">
       
         
		      <form name="frm" action="" method="POST" id="frm">

			 

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label text-info" >Descripcion</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="nombre" name="nombre" value="" readonly>
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Codigo producto</label>
          <div class="col-sm-4">
            <input autocomplete="off" onBlur="ver_codigo(this.value)" type="text"  class="form-control mb-2 bold" id="codigo2" name="codigo" value="" readonly>
			
			
            <input autocomplete="off" type="hidden"  class="form-control mb-2 bold" id="codigo" name="codigo" value="">
          </div>
		 
		   
        </div>

			  
         <div class="row hi">
          <label for="costo" class="col-sm-3 col-form-label" >Codigo IMEI</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="imei" name="imei" value="">
          </div>

         
        </div>



       


<hr>

           
                 </div>





			  
			  
		  </form>

          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar_producto()" id="btngrabar"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-default" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>
	
	<!---Modal vencidos-->
<div class="modal" id="modalVencidos" data-backdrop="none" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Nota</span>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <label class="text-success">Productos vencidos y proximo a vencer</label>
        <div id="vencidos" style="height:200px; overflow:scroll">
		

        </div>
      <div class="modal-footer">
	          <a href="nuevo_vencimiento.php" class="btn btn-success" ><b> <i class="fa fa-w fa-check"></i> Revisar</b></a>

        <a href="javascript:void(0)" class="btn btn-default" onClick="update_nota" data-dismiss="modal"><b> <i class="fa fa-w fa-close"></i> Aceptar</b></a>

      </div>
    </div>
  </div>
</div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
		$hoy = @date('Y-m-d');
		$fecha_a = date('Y-m-d', strtotime($hoy.  '+ 30 days'));

        ?>
            
<script>
function hide_tipo(tipo){
	/*
	if(tipo=="Servicio" || tipo=="SERVICIO"){
		$(".hi").hide();
		var v = "";
	    $("#unidad option[value='"+v+"']").prop('selected', true);
		$("#proveedor option[value='"+v+"']").prop('selected', true);
		$("#variedad option[value='"+v+"']").prop('selected', true);
		$("#costo").val("0");
		$("#stock").val("0");
		$("#stock2").val("0");
		$("#relacion").val("");

	}else{
		$(".hi").show();
		//$("#stock").val("1");
	}
	*/
}


                  function openVariedad() {
                        ////window.open('variedad.php?','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=850');

          }

          

$("#delete").hide();
id_producto="";

function setDefaultCalc(){
  localStorage.setItem("itbis",$("#itbis").val());
  localStorage.setItem("utilidad",$("#utilidad").val());
}

getDefaultCalc();
function getDefaultCalc(){
$("#itbis").val(localStorage.getItem("itbis"));
 $("#utilidad").val(localStorage.getItem("utilidad"));
}
function cal_itbis(){
  var lprecio = $("#precio").val();
  var lcosto = $("#costo").val();
  var litbis = $("#itbis").val();
  var lutilidad = $("#utilidad").val();

  if(lprecio==""){lprecio = 0;}
  if(lcosto==""){lcosto = 0;}
  if(litbis==""){litbis = 0;}
  if(lutilidad==""){lutilidad = 0;}

  var a = lcosto * litbis/100;
  var b = parseFloat(a )+ parseFloat(lcosto);
  $("#costo").val(b);

  


}

function cal_utilidad(){
  var lprecio = $("#precio").val();
  var lcosto = $("#costo").val();
  var litbis = $("#itbis").val();
  var lutilidad = $("#utilidad").val();

  if(lprecio==""){lprecio = 0;}
  if(lcosto==""){lcosto = 0;}
  if(litbis==""){litbis = 0;}
  if(lutilidad==""){lutilidad = 0;}


  var c = lcosto * lutilidad/100;
  var d = parseFloat(c) + parseFloat(lcosto);
  $("#precio").val(d);


}
function ver_codigo(co){
	
    ///$("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#imei").focus();
        $("#imei").select();
    },1000);

            var sql="select descripcion,codigo from productos where codigo='"+co+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_producto= rs.data[i].id;  
					//$("#id").val(rs.data[i].id);					
                    $("#nombre").val(rs.data[i].descripcion);
                    $("#codigo2").val(rs.data[i].codigo);
					//$("#imei").val(rs.data[i].imei);
                    
                     //$("#codigo2").val(rs.data[i].cod);
					
                  }
                
            })
        }
		
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select imei.id, imei.imei, productos.descripcion, imei.codigo as cod from imei inner join productos on imei.codigo=productos.codigo where imei.id='"+id+"' group by imei.imei"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_producto= rs.data[i].id;  
					$("#id").val(rs.data[i].id);					
                    $("#nombre").val(rs.data[i].descripcion);
                    $("#codigo").val(rs.data[i].cod);
					$("#imei").val(rs.data[i].imei);
                    
                     $("#codigo2").val(rs.data[i].cod);
					
                  }
                
            })
        }
  
  
  
  
  function grabar_producto(){
				var codigo2 = $("#codigo2").val();
				var id = $("#id").val();
				var imei = $("#imei").val();
				if(id==""){
				var param = "imei="+imei
				$.get("verificar_existe_imei.php?"+param, function(data,st){
					if(st=="success"){
						if(data>0){
								alert("Hay un imei ya registrado con este codigo")
						}else{
							grabar_producto2()
						}
					}
				})
			}else{
				grabar_producto2()
			}
  }
  
  function grabar_producto2(){
     if(!confirm("Seguro(a) que desea registrar este imei?")){return;}     
               
     var id_producto = $("#id").val()
     var nombre = $("#nombre").val();
     var codigo = $("#codigo2").val();
    var codigo2 = $("#codigo2").val();
	var imei = $("#imei").val();

	

	$("#btngrabar").prop("disabled", true)

     if(codigo2=="" || imei==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_producto==""){
            sql="INSERT INTO imei set ";
            sql+="codigo='"+codigo+"'";
            sql+=", imei='"+imei+"'";
           

        }else{
			/*
              if(validAuth!="Ok"){
                   modalAuth00(grabar_producto2);
                    return;
                }
             */    
            sql="UPDATE imei set";
            sql+=" codigo='"+codigo+"'";
            sql+=", imei='"+imei+"'";
            sql+=" WHERE id='"+id_producto+"'";
			
            
        }
    
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		   noti("success","Registro grabado con exito","Registro grabado");

        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
        window.close()
         parent.window.location.reload()
        setTimeout(function(){window.location.reload()},2000)
	  ////// if(stock==""){stock=0;} 
 
	
		////update_inventario(codigo,codigo2, nombre, stock, costo, precio, precio2, tipo_impuestos)
			  ////almacen()
	
	   
        

      }else{
          alert(data);
          
      }
       
    })
}
  
  
function update_inventario(codigo,codigo2, nombre, stock, costo, precio, precio2, tipo_impuestos){
	var stock2 = $("#stock2").val();
	var relacion = $("#relacion").val();
    var tipo_producto = $("#tipo_producto").val();
	var param = "costo="+costo+"&relacion="+relacion+"&codigo="+codigo+"&stock2="+stock2+"&descripcion="+nombre+"&stock="+stock+"&precio1="+precio+"&precio2="+precio2+"&tipo_impuesto="+tipo_impuestos+"&tipo="+tipo_producto
	$.get("update_inventario.php?"+param, function(data,st){
		if(st=="success"){
			if(data=="1"){
                almacen()
            }
		}else{
			alert(data)
		}
	})
}



  function almacen(){
    if(id_producto==""){                   
     var relacion = $("#relacion").val();
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
    var codigo2 = $("#codigo2").val();
     var precio = $("#precio").val();
	 var precio2 = $("#precio2").val();
     var costo = $("#costo").val();
     var stock = $("#stock").val();
	 var stock2 = $("#stock2").val();
	 if(stock==""){stock=0;}
     var tipo_impuestos = $("#tipo_impuestos").val();
     var valor_impuestos = $("#valor_impuestos").val();
     var tipo_producto = $("#tipo_producto").val();

     var proveedor = $("#proveedor").val();
     var variedad = $("#variedad").val();
     if(precio2=="" || precio2==0){precio2=precio;}

    var sql="";                            

            sql="INSERT INTO inventario set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo2+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
			sql+=", precio2='"+precio2+"'"; 
            sql+=", tipo_impuestos='"+tipo_impuestos+"'";
            sql+=", tipo='"+tipo_producto+"'";
            sql+=", valor_impuestos='"+valor_impuestos+"'"; 
			sql+=", almacen='"+myAlmacen+"'"; 
            //sql+=", proveedor='"+proveedor+"'"; 
            //sql+=", variedad='"+variedad+"'"; 
            sql+=", cantidad='"+stock+"'"; 
			sql+=", pxp='"+stock2+"'"; 
			sql+=", relacion_detalle='"+relacion+"'";

        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
        window.close()
         parent.window.location.reload()
        setTimeout(function(){window.location.reload()},2000)


    
    

      }else{
          alert(data);
          
      }
       
    })
	}else{
		noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
         window.close()
         parent.window.location.reload()
        setTimeout(function(){window.location.reload()},2000)

		
	}
}
    
  

 function borrar(){
  
     if(id_producto==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
     var codigo = $("#codigo2").val();

    var sql="";                            
    sql="delete from imei where id='"+id_producto+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $(".modal").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
		//borrar_inventario(codigo);
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}

 function borrar_inventario(codigo){
  
     
    var sql="";                            
    sql="delete from inventario where codigo='"+codigo+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Inventario actualizado","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
		
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}



$(".form-control").change(function(){
  impuestos()
})

function impuestos(){
  var precio = $("#precio").val();
  var tipo_impuestos = $("#tipo_impuestos").val();

  var it = parseFloat(precio)/parseFloat("1."+tipo_impuestos);
  var valor  = parseFloat(precio) - it
  if(isNaN(valor)){valor = 0;}
  if(tipo_impuestos==""){valor=0}
  
  $("#valor_impuestos").val(valor.toFixed(3))
}



 ver_vencidos();
 function ver_vencidos(){
   var fecha_a = "<?php echo $fecha_a?>";
   var str="";
    
   
            var sql="select * from vencimiento where fecha<='"+fecha_a+"' and estatus!='Revisado'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
				
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    str+= rs.data[i].descripcion+"<br><span class='text-info'>Suplidor: "+rs.data[i].suplidor+"</span><br>Fecha vence("+rs.data[i].fecha+")<br> Cantidad:"+rs.data[i].cantidad+"<br>-------------------<br>";             
                    
                  }
				  
				 $("#modalVencidos").modal('show');
				 $("#vencidos").html(str);
                
            })
        }
		
$("#txt_buscar").focus()
		
$("#txt_buscar").select()
$("#txt_buscar").on("keypress", function(){
  uniKeyCode(event);
})

////window.addEventListener("keydown",tecla,false);


 function uniKeyCode(event) {
  var key = event.keyCode;
  //alert("Unicode KEY code: " + key);
  if(key=="13"){
	
		////if($("#txt_buscar").val()!=""){
			filtrar();
		///}
	
	  }
  
}


function getVariedad(n){
    $.get("combo_categorias.php", function(data, st){
        if(st=="success"){
            $("#divCategoria").html(data);
            $("#variedad option[value='"+n+"']").prop('selected', true);
            
        }
    })
    
}

check_from()
function check_from(){
	var from_pos = "<?php echo $_GET['from_pos']?>";
	if(from_pos==1){
		modalProducto();
		hide_tipo('Fisico')
	}
}
        </script>

